/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
 *
 * This code is from kwirelessmonitor.
 *
 * Modified by Josef Kufner <jk@myserver.cz>
 */

#ifndef WM_ARCH_H
#define WM_ARCH_H

/* get */
int wm_open_socket(const char *ifname);
void wm_close_socket(int sock);
int wm_check(int sock, const char *ifname);
void wm_get_essid(int sock, const char *ifname, char *buf, int len);
void wm_get_ap(int sock, const char *ifname, char *buf, int len);
int wm_get_bitrate(int sock, const char *ifname);
int wm_get_quality(int sock, const char *ifname, float *link_quality, int *cur_quality, int *max_quality);
int wm_get_max_quality(int sock, const char *ifname);
void wm_get_transfer_bytes(const char *ifname, unsigned long long *rx, unsigned long long *tx);

#endif /* WM_ARCH_H */
