/*
 * parser-test.c
 * 
 * Copyright (C) 2006  Josef Kufner <jk@myserver.cz>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#include <stdio.h>
#include <assert.h>

#include "parser.h"

#define DEBUG 5
#include "debug.h"

int main (void) {
	int first, second;
	char *first_name = 0;
	char *second_name = 0;
	P_TRANS constant[] = {
		/* str, id, var, type */
		{ "first", 1, &first, P_INTEGER },
		{ "second", 2, &second, P_INTEGER }
	};
	P_TRANS constant_name[] = {
		/* str, id, var */
		{ "first", 1, &first_name, P_STRING },
		{ "second", 2, &second_name, P_STRING }
	};
	P_FORMAT format[] = {
		P_CONSTANT,
		P_STRING,
		P_EQUAL,
		P_INTEGER,
		0
	};
	P_LINE *ln = NULL;
	int i;

	DBG_MSG(1, "first_name = %p", &first_name);

	while ((ln = parse_line("<stdin>", stdin, format, 4))) {
		for (i = 0; i < ln->size; i++)
			DBG_MSG(1, "Line %ld: token %d: \"%s\"", ln->line, i, ln->token[i].val);
		DBG_MSG(1, "constant \"%s\" => %d", ln->token[0].val, parse_string_to_int(constant, 2, ln->token[0].val));
		parse_set_var_by_name(constant, 2, ln->token[0].val, &(ln->token[3].val_int), ln->token[3].type, 1);
		parse_set_var_by_name(constant_name, 2, ln->token[0].val, &(ln->token[1].val), ln->token[1].type, 1);
		parse_free_line(ln);
	}

	DBG_MSG(1, "first = %d", first);
	DBG_MSG(1, "second = %d", second);
	DBG_MSG(1, "first_name = \"%s\"", first_name);
	DBG_MSG(1, "second_name = \"%s\"", second_name);
	return 0;
}

